# List of Available GeoRegions

This page contains a list of the GeoRegions that are currently available in `GeoRegions.jl`.

The default GeoRegion covers the global domain |  identified as `GLB`

|  ID  |  pID  |  N  |  W  |  S  |  E  | Name |
| :--: | :---: | :-: | :-: | :-: | :-: | :--- |
| GLB  |  GLB  | 90  |  0  | -90 | 360 | Global |

## Predefined in GeoRegions

|  ID  |  pID  |  N  |  W  |  S  |  E  | Name | Ver |
| :--: | :---: | :-: | :-: | :-: | :-: | :--- | :-: |
| TRP  |  GLB  | 30  |  0  | -30 | 360 | Tropical Belt         | ≥1.0 |
| ISM  |  GLB  | 45  | 35  | -15 | 105 | Indian Summer Monsoon | ≥1.0 |
| EAM  |  GLB  | 50  | 90  |  0  | 150 | East Asian Monsoon    | ≥1.0 |
| SEA  |  TRP  | 20  | 90  | -15 | 165 | Southeast Asia        | ≥1.0 |

## Adapted from Giorgi & Francisco [2000]

!!! compat "GeoRegions > 1.1"
    All `GF_*` domains are defined only in versions ≥1.1

|   ID   |  pID  |  N  |  W  |  S  |  E  | Name |
|  :--:  | :---: | :-: | :-: | :-: | :-: | :--- |
| GF_AUS |  GLB  | -10 | 110 | -45 | 155 | Australia              |
| GF_AMZ |  GLB  | 15  | 275 | -20 | 330 | Amazon Basin           |
| GF_SSA |  GLB  | -20 | 280 | -60 | 320 | Southern South America |
| GF_CAM |  GLB  | 30  | 240 | 10  | 280 | Central America        |
| GF_WNA |  GLB  | 60  | 230 | 30  | 255 | Western North America  |
| GF_CNA |  GLB  | 50  | 255 | 30  | 275 | Central North America  |
| GF_ENA |  GLB  | 50  | 275 | 25  | 300 | Eastern North America  |
| GF_ALA |  GLB  | 75  | 180 | 50  | 255 | Alaska                 |
| GF_GRL |  GLB  | 85  | 255 | 50  | 350 | Greenland              |
| GF_MED |  GLB  | 50  | 350 | 30  | 40  | Mediterranean Basin    |
| GF_NEU |  GLB  | 75  | 350 | 50  | 40  | Northern Europe        |
| GF_WAF |  GLB  | 20  | 340 | -15 | 25  | Western Africa         |
| GF_EAF |  GLB  | 20  | 20  | -15 | 55  | Eastern Africa         |
| GF_SAF |  GLB  | -10 | 350 | -35 | 55  | Southern Africa        |
| GF_SAH |  GLB  | 30  | 340 | 15  | 65  | Sahara                 |
| GF_SEA |  GLB  | 20  | 90  | -15 | 165 | Southeast Asia         |
| GF_EAS |  GLB  | 50  | 100 | 20  | 145 | East Asia              |
| GF_SAS |  GLB  | 30  | 65  |  5  | 100 | South Asia             |
| GF_CAS |  GLB  | 50  | 40  | 30  | 75  | Central Asia           |
| GF_TIB |  GLB  | 50  | 75  | 30  | 100 | Tibet                  |
| GF_NAS |  GLB  | 85  | 40  | 50  | 180 | North Asia             |
